<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Annexe A. Aperçu des outils du responsable Debian</title>
    <link rel="stylesheet" type="text/css" href="developers-reference.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.html" title="Référence du développeur Debian"/>
    <link rel="up" href="index.html" title="Référence du développeur Debian"/>
    <link rel="prev" href="ch08.html" title="Chapitre 8. Internationalisation et traduction"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Annexe A. Aperçu des outils du responsable Debian</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="ch08.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> </td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="appendix">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="tools"/>Annexe A. Aperçu des outils du responsable Debian</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="apa.html#tools-core">A.1. Outils de base</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="apa.html#dpkg-dev">A.1.1. <code class="systemitem">dpkg-dev</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#debconf">A.1.2. <code class="systemitem">debconf</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#fakeroot">A.1.3. <code class="systemitem">fakeroot</code></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="apa.html#tools-lint">A.2. Contrôle de paquets (« <code class="literal">lint</code> »)</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="apa.html#lintian">A.2.1. <code class="systemitem">lintian</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#debdiff">A.2.2. <span class="command"><strong>debdiff</strong></span></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="apa.html#tools-helpers">A.3. Assistance pour <code class="filename">debian/rules</code></a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="apa.html#debhelper">A.3.1. <code class="systemitem">debhelper</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#dh-make">A.3.2. <code class="systemitem">dh-make</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#equivs">A.3.3. <code class="systemitem">equivs</code></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="apa.html#tools-builders">A.4. Construction de paquets</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="apa.html#git-buildpackage">A.4.1. <code class="systemitem">git-buildpackage</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#debootstrap">A.4.2. <code class="systemitem">debootstrap</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#pbuilder">A.4.3. <code class="systemitem">pbuilder</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#sbuild">A.4.4. <code class="systemitem">sbuild</code></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="apa.html#uploaders">A.5. Envoi de paquets</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="apa.html#dupload">A.5.1. <code class="systemitem">dupload</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#dput">A.5.2. <code class="systemitem">dput</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#dcut">A.5.3. <span class="command"><strong>dcut</strong></span></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="apa.html#tools-maint-automate">A.6. Automatisation de la maintenance</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="apa.html#devscripts">A.6.1. <code class="systemitem">devscripts</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#autotools-dev">A.6.2. <code class="systemitem">autotools-dev</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#dpkg-repack">A.6.3. <code class="systemitem">dpkg-repack</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#alien">A.6.4. <code class="systemitem">alien</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#dpkg-dev-el">A.6.5. <code class="systemitem">dpkg-dev-el</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#dpkg-depcheck">A.6.6. <span class="command"><strong>dpkg-depcheck</strong></span></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="apa.html#tools-porting">A.7. Outils de portage</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="apa.html#dpkg-cross">A.7.1. <code class="systemitem">dpkg-cross</code></a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="apa.html#tools-doc">A.8. Documentation et information</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="apa.html#docbook-xml">A.8.1. <code class="systemitem">docbook-xml</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#debiandoc-sgml">A.8.2. <code class="systemitem">debiandoc-sgml</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#debian-keyring">A.8.3. <code class="systemitem">debian-keyring</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="apa.html#debian-el">A.8.4. <code class="systemitem">debian-el</code></a>
                </span>
              </dt>
            </dl>
          </dd>
        </dl>
      </div>
      <p>
Cette section contient un aperçu rapide des outils dont dispose le
responsable. Cette liste n'est ni complète, ni définitive, il s'agit juste
d'un guide des outils les plus utilisés.
</p>
      <p>
Les outils du responsable Debian sont destinés à aider les responsables et
libérer leur temps pour des tâches plus cruciales. Comme le dit Larry Wall,
« il y a plus d'une façon de le faire ».
</p>
      <p>
Certaines personnes préfèrent utiliser des outils de haut niveau, d'autres
pas. Debian n'a pas de position officielle sur la question ; tout outil
conviendra du moment qu'il fait le boulot. C'est pourquoi cette section n'a
pas été conçue pour indiquer à chacun quel outil il doit utiliser ou comment
il devrait faire pour gérer sa charge de responsable. Elle n'est pas non
plus destinée à favoriser l'utilisation d'un outil aux dépens d'un autre.
</p>
      <p>
La plupart des descriptions de ces outils proviennent des descriptions de
leurs paquets. Vous trouverez plus d'informations dans les documentations de
ces paquets. Vous pouvez aussi obtenir plus d'informations avec la commande
<code class="literal">apt-cache show <em class="replaceable"><code>nom_de_paquet</code></em></code>.
</p>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="tools-core"/>A.1. Outils de base</h2>
            </div>
          </div>
        </div>
        <p>
Les outils suivants sont pratiquement nécessaires à tout responsable.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dpkg-dev"/>A.1.1. <code class="systemitem">dpkg-dev</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">dpkg-dev</code> contient les outils (y
compris <span class="command"><strong>dpkg-source</strong></span>) nécessaires pour dépaqueter,
construire, et envoyer les paquets source Debian. Ces utilitaires
fournissent les fonctionnalités de bas niveau indispensables pour créer et
manipuler les paquets ; en tant que tels, ils sont essentiels à tout
responsable Debian.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="debconf"/>A.1.2. <code class="systemitem">debconf</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">debconf</code> fournit une interface
unifiée pour configurer les paquets de façon interactive. Il est indépendant
de l'interface et permet une configuration en mode texte, par une interface
HTML ou par boîtes de dialogue. D'autres types d'interface peuvent être
ajoutés sous forme de modules.
</p>
          <p>
Vous en trouverez la documentation dans le paquet <code class="systemitem">debconf-doc</code>.
</p>
          <p>
Beaucoup pensent que ce système devrait être utilisé pour tout paquet
nécessitant une configuration interactive, cf. <a class="xref" href="ch06.html#bpp-config-mgmt" title="6.5. Gestion de la configuration avec debconf">Section 6.5, « Gestion de la configuration avec <code class="systemitem">debconf</code> »</a>. <code class="systemitem">debconf</code>
n'est pas requis par la Charte Debian pour le moment, mais cela pourrait
changer.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="fakeroot"/>A.1.3. <code class="systemitem">fakeroot</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">fakeroot</code> simule les privilèges de
root. Cela permet de fabriquer un paquet sans être root (en général, les
paquets installent des fichiers appartenant à root). Si vous avez installé
<code class="systemitem">fakeroot</code>,
<span class="command"><strong>dpkg-buildpackage</strong></span> l’utilisera automatiquement.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="tools-lint"/>A.2. Contrôle de paquets (« <code class="literal">lint</code> »)</h2>
            </div>
          </div>
        </div>
        <p>
Selon le « <code class="literal">Free On-line Dictionary of Computing</code> »
(FOLDOC), « <code class="literal">lint</code> » est « un outil de traitement de
langage C qui contient beaucoup plus de tests complets sur le code que ne
font habituellement les compilateurs C ». Les outils de contrôle de paquets
aident les responsables à découvrir automatiquement les problèmes habituels
et les violations de Charte dans leurs paquets.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="lintian"/>A.2.1. <code class="systemitem">lintian</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">lintian</code> dissèque les paquets pour y
repérer des bogues et des manquements aux règles de développement. Il
contient des tests automatisés pour vérifier de nombreuses règles et
quelques erreurs courantes.
</p>
          <p>
Vous devriez récupérer la dernière version de <code class="systemitem">lintian</code> depuis <code class="literal">unstable</code>
régulièrement et vérifier tous vos paquets. Notez que l'option
<code class="literal">-i</code> donne des explications détaillées sur la signification
de chaque erreur, la partie concernée dans la Charte et le moyen habituel de
régler le problème.
</p>
          <p>
Voir <a class="xref" href="ch05.html#sanitycheck" title="5.3. Tests du paquet">Section 5.3, « Tests du paquet »</a> pour plus d'informations sur comment et
quand utiliser Lintian.
</p>
          <p>
Vous pouvez aussi obtenir un résumé de tous les problèmes signalés par
Lintian sur vos paquets en <a class="ulink" href="https://lintian.debian.org/">https://lintian.debian.org/</a>. Ces rapports
contiennent la sortie de la dernière version de <span class="command"><strong>lintian</strong></span>
pour l'ensemble de la distribution de développement
(<code class="literal">unstable</code>).
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="debdiff"/>A.2.2. <span class="command"><strong>debdiff</strong></span></h3>
              </div>
            </div>
          </div>
          <p>
<span class="command"><strong>debdiff</strong></span> (du paquet <code class="systemitem">devscripts</code>, <a class="xref" href="apa.html#devscripts" title="A.6.1. devscripts">Section A.6.1, « <code class="systemitem">devscripts</code> »</a>)
compare les listes de fichiers ainsi que les fichiers de contrôle de deux
paquets. C'est un simple test de régression qui peut aider à remarquer si le
nombre de paquets binaires a changé depuis le dernier envoi ou si autre
chose a changé dans le fichier de contrôle. Bien sûr, certains des
changements indiqués sont normaux, mais cela peut aider à empêcher
différents accidents.
</p>
          <p>
Vous pouvez l'exécuter sur un couple de paquets binaires :
</p>
          <pre class="screen">
debdiff paquet_1-1_arch.deb paquet_2-1_arch.deb
</pre>
          <p>
Ou même sur un couple de fichiers de changements :
</p>
          <pre class="screen">
debdiff paquet_1-1_arch.changes paquet_2-1_arch.changes
</pre>
          <p>
Pour plus d'informations, veuillez consulter <span class="citerefentry"><span class="refentrytitle">debdiff</span>(1)</span>.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="tools-helpers"/>A.3. Assistance pour <code class="filename">debian/rules</code></h2>
            </div>
          </div>
        </div>
        <p>
Des outils de construction de paquets facilitent le processus d'écriture du
fichier <code class="filename">debian/rules</code>. <a class="xref" href="ch06.html#helper-scripts" title="6.1.1. Scripts d'assistance">Section 6.1.1, « Scripts d'assistance »</a>
contient plus d'informations sur l'intérêt de les utiliser ou non.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="debhelper"/>A.3.1. <code class="systemitem">debhelper</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">debhelper</code> regroupe un ensemble de
programmes pouvant être utilisés dans <code class="filename">debian/rules</code> pour
automatiser les tâches courantes relatives à la fabrication de paquets
Debian binaires. <code class="systemitem">debhelper</code> inclut
des programmes pour installer différents fichiers, les compresser, ajuster
leurs droits et intégrer votre paquet dans le système de menu Debian.
</p>
          <p>
À la différence d'autres approches, <code class="systemitem">debhelper</code> est divisé en plusieurs petits
utilitaires simples qui agissent de manière cohérente. Ce découpage permet
un contrôle des opérations plus fin que certains des autres outils pour
<code class="filename">debian/rules</code>.
</p>
          <p>
Il existe aussi un certain nombre de petites extensions <code class="systemitem">debhelper</code> trop éphémères pour être documentées
ici. La plupart seront listés avec <code class="literal">apt-cache search ^dh-</code>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dh-make"/>A.3.2. <code class="systemitem">dh-make</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">dh-make</code> contient
<span class="command"><strong>dh_make</strong></span>, un programme qui crée un squelette de fichiers
nécessaires à la construction d'un paquet Debian à partir d'une arborescence
source. Comme le nom le suggère, <span class="command"><strong>dh_make</strong></span> est une
réécriture de <code class="systemitem">debmake</code> et ses
fichiers modèles utilisent les programmes <span class="command"><strong>dh_*</strong></span> de
<code class="systemitem">debhelper</code>.
</p>
          <p>
Quoique les fichiers de règles fabriqués par <span class="command"><strong>dh_make</strong></span>
constituent en général une base suffisante pour un paquet fonctionnel, ce ne
sont que les fondations : la charge incombe toujours au responsable
d'affiner les fichiers générés et de rendre le paquet complètement
fonctionnel et en conformité avec la Charte.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="equivs"/>A.3.3. <code class="systemitem">equivs</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">equivs</code> est encore un assistant. Il
est souvent conseillé pour un usage local, pour faire un paquet qui
satisfasse des dépendances. Il est aussi parfois utilisé pour faire des
« métapaquets », dont l'unique objet est de dépendre d'autres paquets.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="tools-builders"/>A.4. Construction de paquets</h2>
            </div>
          </div>
        </div>
        <p>
Les paquets suivants facilitent le processus de construction des paquets, en
contrôlant globalement <span class="command"><strong>dpkg-buildpackage</strong></span> ainsi que la
gestion des tâches.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="git-buildpackage"/>A.4.1. <code class="systemitem">git-buildpackage</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">git-buildpackage</code> permet de mettre à
jour ou de récupérer des paquets source dans un référentiel Git, il permet
de fabriquer un paquet Debian depuis le référentiel Git et assiste le
responsable lors de l'intégration de modifications amont dans le
référentiel.
</p>
          <p>
Ce paquet fournit l'infrastructure facilitant l'utilisation de Git pour le
responsable Debian. Il permet de conserver des branches Git distinctes pour
les distributions <code class="literal">stable</code>, <code class="literal">unstable</code> et
éventuellement <code class="literal">experimental</code> et de bénéficier des
avantages d'un système de gestion de version.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="debootstrap"/>A.4.2. <code class="systemitem">debootstrap</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">debootstrap</code> permet d'amorcer un
système Debian de base à n'importe quel endroit de votre système de
fichiers. « Système de base » signifie ici le strict minimum de paquets
nécessaires pour fonctionner et installer le reste du système.
</p>
          <p>
Un système comme celui-ci peut être utilisé de nombreuses façons
différentes. Par exemple, avec <span class="command"><strong>chroot</strong></span>, vous pouvez y
tester les dépendances de construction. Vous pouvez aussi vérifier le
comportement d'un paquet installé dans un environnement minimum. Les
automates de constructions « <code class="literal">chrootés</code> » utilisent ce
paquet ; voir ci-après.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="pbuilder"/>A.4.3. <code class="systemitem">pbuilder</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">pbuilder</code> construit un système
« <code class="literal">chrooté</code> » et compile des paquets dans ce système. C'est
très pratique pour vérifier que les dépendances de compilation d'un paquet
sont correctes et pour s'assurer qu'aucune dépendance de construction
inutile ou incorrecte n'existe dans le paquet résultant.
</p>
          <p>
<code class="systemitem">cowbuilder</code> est un outil similaire,
qui accélère le processus de construction en utilisant un système de
fichiers COW sur n’importe quel système de fichiers standard Linux.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="sbuild"/>A.4.4. <code class="systemitem">sbuild</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">sbuild</code> est un autre compilateur
automatique. Il peut également être utilisé dans un environnement
« <code class="literal">chrooté</code> ». Il peut être utilisé seul ou comme partie
d'un environnement de compilation distribué en réseau. Comme le précédent,
il fait partie du système utilisé par les porteurs pour construire des
paquets binaires pour toutes les architectures disponibles. Voir <a class="xref" href="ch05.html#wanna-build" title="5.10.3.3. wanna-build">Section 5.10.3.3, « <code class="systemitem">wanna-build</code> »</a> pour plus d'informations et <a class="ulink" href="https://buildd.debian.org/">https://buildd.debian.org/</a> pour voir le système en fonctionnement.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="uploaders"/>A.5. Envoi de paquets</h2>
            </div>
          </div>
        </div>
        <p>
Les paquets suivants aident à automatiser ou simplifier le processus d'envoi
de paquets dans l'archive officielle.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dupload"/>A.5.1. <code class="systemitem">dupload</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">dupload</code> contient un script du même
nom pour envoyer des paquets dans l'archive Debian, suivre les envois, et
les annoncer par courrier électronique. Il peut être configuré pour envoyer
les paquets ailleurs ou avec d'autres méthodes.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dput"/>A.5.2. <code class="systemitem">dput</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">dput</code> fait à peu près la même chose
que <code class="systemitem">dupload</code>, mais autrement. Il
possède quelques fonctions supplémentaires comme la possibilité de vérifier
la signature GnuPG et les sommes de contrôles avant l'envoi, ainsi que la
possibilité de démarrer <span class="command"><strong>dinstall</strong></span> en mode simulation
(« <code class="literal">dry-run</code> ») après l'envoi.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dcut"/>A.5.3. <span class="command"><strong>dcut</strong></span></h3>
              </div>
            </div>
          </div>
          <p>
<span class="command"><strong>dcut</strong></span> (du paquet <code class="systemitem">dput</code>, <a class="xref" href="apa.html#dput" title="A.5.2. dput">Section A.5.2, « <code class="systemitem">dput</code> »</a>) permet de
supprimer des fichiers du répertoire d'envoi FTP.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="tools-maint-automate"/>A.6. Automatisation de la maintenance</h2>
            </div>
          </div>
        </div>
        <p>
Les outils suivants permettent d'automatiser les différentes tâches de
maintenance en ajoutant des entrées au journal de modification ou des lignes
de signatures, en cherchant des bogues depuis Emacs et en utilisant le
fichier officiel <code class="filename">config.sub</code> le plus récent.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="devscripts"/>A.6.1. <code class="systemitem">devscripts</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">devscripts</code> contient des scripts et
outils très pratiques pour maintenir les paquets Debian. Parmi ces scripts,
<span class="command"><strong>debchange</strong></span> et <span class="command"><strong>dch</strong></span> manipulent le fichier
<code class="filename">debian/changelog</code> en ligne de commande et
<span class="command"><strong>debuild</strong></span> est une sur-couche à
<span class="command"><strong>dpkg-buildpackage</strong></span>. L'utilitaire <span class="command"><strong>bts</strong></span>
est aussi très pratique pour mettre à jour l'état des rapports de bogue en
ligne de commande. <span class="command"><strong>uscan</strong></span> permet de suivre les nouvelles
versions amont de vos paquets. <span class="command"><strong>debrsign</strong></span> permet de signer
un paquet à distance avant de l'envoyer, ce qui est bien utile quand la
machine de construction de paquet est différente de celle où résident vos
clés GPG.
</p>
          <p>
Voir la page de manuel <span class="citerefentry"><span class="refentrytitle">devscripts</span>(1)</span> pour une liste complète des scripts disponibles.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="autotools-dev"/>A.6.2. <code class="systemitem">autotools-dev</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">autotools-dev</code> contient les meilleurs
pratiques pour les responsables des paquets qui utilisent
<span class="command"><strong>autoconf</strong></span> ou <span class="command"><strong>automake</strong></span>. Il contient
également les fichiers canoniques <code class="filename">config.sub</code> et
<code class="filename">config.guess</code>, connus pour fonctionner avec tous les
portages Debian.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dpkg-repack"/>A.6.3. <code class="systemitem">dpkg-repack</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">dpkg-repack</code> crée un paquet Debian à
partir d'un paquet déjà installé. Si des changements ont été effectués sur
le paquet depuis qu'il a été installé (des fichiers de
<code class="filename">/etc</code> modifiés par exemple), le nouveau paquet héritera
de ces changements.
</p>
          <p>
Cet utilitaire peut faciliter la copie de paquet d'un ordinateur à un autre,
ou la recréation de paquets installés sur un système qui ne sont plus
disponibles ailleurs, ou pour sauvegarder l'état actuel d'un paquet avant de
le mettre à jour.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="alien"/>A.6.4. <code class="systemitem">alien</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">alien</code> convertit des paquets binaires
entre différents formats de paquets, y compris des paquets Debian, RPM
(RedHat), LSB (Linux Standard Base), Solaris et Slackware.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dpkg-dev-el"/>A.6.5. <code class="systemitem">dpkg-dev-el</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">dpkg-dev-el</code> fournit des macros Emacs
Lisp pour faciliter l'édition des fichiers du répertoire
<code class="filename">debian</code>. Par exemple, des fonctions pratiques permettent
de lister les bogues actuels d'un paquet et de finaliser la dernière entrée
d'un fichier <code class="filename">debian/changelog</code>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dpkg-depcheck"/>A.6.6. <span class="command"><strong>dpkg-depcheck</strong></span></h3>
              </div>
            </div>
          </div>
          <p>
<span class="command"><strong>dpkg-depcheck</strong></span> (du paquet <code class="systemitem">devscripts</code>, <a class="xref" href="apa.html#devscripts" title="A.6.1. devscripts">Section A.6.1, « <code class="systemitem">devscripts</code> »</a>)
exécute une commande sous <span class="command"><strong>strace</strong></span> pour déterminer tous les
paquets utilisés par la commande.
</p>
          <p>
Pour les paquets Debian, c'est utile pour créer une ligne
<code class="literal">Build-Depends</code> d'un nouveau paquet : exécuter le processus
de compilation avec <span class="command"><strong>dpkg-depcheck</strong></span> fournira une bonne
première approximation des dépendances de compilation. Par exemple :
</p>
          <pre class="screen">
dpkg-depcheck -b debian/rules build
</pre>
          <p>
<code class="systemitem">dpkg-depcheck</code> peut aussi être
utilisé pour vérifier les dépendances d'exécution, d'autant plus si le
paquet utilise <span class="citerefentry"><span class="refentrytitle">exec</span>(2)</span> pour exécuter d'autres programmes.
</p>
          <p>
Pour plus d'informations, veuillez voir <span class="citerefentry"><span class="refentrytitle">dpkg-depcheck</span>(1)</span>.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="tools-porting"/>A.7. Outils de portage</h2>
            </div>
          </div>
        </div>
        <p>
Les outils suivants sont pratiques pour les porteurs et la compilation
croisée (« <code class="literal">cross-compilation</code> »).
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="dpkg-cross"/>A.7.1. <code class="systemitem">dpkg-cross</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">dpkg-cross</code> est un outil qui installe
les bibliothèques et les en-têtes nécessaires à une compilation croisée
(« <code class="literal">cross-compilation</code> ») d'une manière similaire à
<code class="systemitem">dpkg</code>. De plus, les fonctionnalités
de <span class="command"><strong>dpkg-buildpackage</strong></span> et <span class="command"><strong>dpkg-shlibdeps</strong></span>
ont été améliorées pour accepter les compilations croisées.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="tools-doc"/>A.8. Documentation et information</h2>
            </div>
          </div>
        </div>
        <p>
Les paquets suivants fournissent des informations pour les responsables ou
de l'aide pour construire de la documentation.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="docbook-xml"/>A.8.1. <code class="systemitem">docbook-xml</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">docbook-xml</code> fournit la définition de
type de document (« <code class="literal">Document Type Definition</code> » ou
<code class="literal">DTD</code>) XML pour DocBook, souvent utilisé pour la
documentation Debian (de même que la plus ancienne DTD SGML pour
DebianDoc). Ce manuel, par exemple, est écrit en XML pour DocBook.
</p>
          <p>
<code class="systemitem">docbook-xsl</code> fournit les fichiers XSL
pour construire et décliner les sources en de multiples formats de
sortie. Vous devriez utiliser un processeur de ligne de commande XSLT, tel
que <code class="systemitem">xsltproc</code>, pour utiliser les
feuilles de style XSL. La documentation des feuilles de style est disponible
dans les nombreux paquets <code class="systemitem">docbook-xsl-doc-*</code>.
</p>
          <p>
Pour fabriquer des PDF à partir des FO (« <code class="literal">Formatting
Objects</code> »), il faut un processeur de FO comme <code class="systemitem">xmlroff</code> ou <code class="systemitem">fop</code>. <code class="systemitem">dblatex</code> est un autre outil pour générer des PDF
à partir des XML pour DocBook.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="debiandoc-sgml"/>A.8.2. <code class="systemitem">debiandoc-sgml</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">debiandoc-sgml</code> fournit la définition
de type de document (« <code class="literal">Document Type Definition</code> » ou
<code class="literal">DTD</code>) SGML pour DebianDoc, souvent utilisé pour la
documentation Debian, mais est maintenant déconseillé (<code class="systemitem">docbook-xml</code> devrait être utilisé à la place). Il
fournit également des scripts pour construire et décliner les sources en de
multiples formats de sortie.
</p>
          <p>
De la documentation sur la DTD est disponible dans le paquet <code class="systemitem">debiandoc-sgml-doc</code>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="debian-keyring"/>A.8.3. <code class="systemitem">debian-keyring</code></h3>
              </div>
            </div>
          </div>
          <p>
Contains the public GPG keys of Debian Developers and Maintainers.  See
<a class="xref" href="ch03.html#key-maint" title="3.2.2. Gestion de clé publique">Section 3.2.2, « Gestion de clé publique »</a> and the package documentation for more
information.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="debian-el"/>A.8.4. <code class="systemitem">debian-el</code></h3>
              </div>
            </div>
          </div>
          <p>
<code class="systemitem">debian-el</code> provides an Emacs mode for
viewing Debian binary packages.  This lets you examine a package without
unpacking it.
</p>
        </div>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="ch08.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> </td>
        </tr>
        <tr>
          <td align="left" valign="top">Chapitre 8. Internationalisation et traduction </td>
          <td align="center">
            <a accesskey="h" href="index.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> </td>
        </tr>
      </table>
    </div>
  </body>
</html>
